<?php

/*

 $Id: show_create_mx.inc,v 1.3 2003/07/31 16:36:48 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_create_mx.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Create MX Template
	This file is the template for creating a mx record

*/
?>

<p align="left"><font class="header1">Manage MX Records</font></p>

<p><font class="header2">Creating a new MX Record in <? echo $conf['zone']->name; ?></font></p>

<? $conf['help']->display_help("mx_general"); ?>


<form name="edit_mx" style="Display:inline" enctype="multipart/form-data" method="post" action="create_mx.php">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
                <td title="<? $conf['help']->display_plain_txt("mx_name"); ?>"><? $conf['help']->show_help_link('mx_name'); ?> Name: </td>
                <td>
                        <input name="name" value="<?= $name ?>" size="35" />
                        <? if ( $conf['error']->get_status('name') ) { $conf['error']->show_message('name'); } ?>
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor();  ?>">
                <td title="<? $conf['help']->display_plain_txt("domain"); ?>"><? $conf['help']->show_help_link('domain'); ?> Domain: </td>
                <td><? if ($user->is_admin) { ?><input type="radio" name="domain_select" value="user" CHECKED /><? } ?>
                        <? $conf['ui']->show_domain_select($domains, $mx->domain->id) ?>
                        <? if ( $conf['error']->get_status('domain') ) { $conf['error']->show_message('domain'); } ?>
                </td>
        </tr>
        <? if ($user->is_admin) { ?>
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("domain"); ?>"><? $conf['help']->show_help_link("domain"); ?> Admin Domains: </td>
                <td><input type="radio" name="domain_select" value="admin" />
                <?
                //if they are a admin allow them to movie it anywhere!
                $admin_domains = $conf['ui']->get_domains("SELECT * FROM domain ORDER BY name ASC");
                $conf['ui']->show_domain_select($admin_domains, $host->domain->id,"admin_domain_id");
                ?>
                </td>
        </tr>
        <? } ?>
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("mx_server"); ?>"><? $conf['help']->show_help_link('mx_server'); ?> Server Name: </td>
                <td>
                        <input name="server" value="<?= $server ?>" size="35" />
                        <? if ( $conf['error']->get_status('server') ) { $conf['error']->show_message('server'); } ?>
                </td>
        </tr>
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("mx_priority"); ?>"><? $conf['help']->show_help_link('mx_priority'); ?> Priority: </td>
                <td>
                        <select name="priority">
                                <option value="5" >5</option>
                                <option value="10" >10</option>
                                <option value="15" >15</option>
                        </select>
                </td>
        </tr><tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
                <td>
		<input value="Create New MX Record" type="submit" />&nbsp;&nbsp;
		<input type="hidden" name="action" value="create_mx" />
                <input type="submit" name="action" value="Cancel" />
                </td>
        </tr>

</table>
<? show_template('bborder'); ?>

</form>
<? show_template('footer'); ?>

