<?php

/*

 $Id: show_pointer.inc,v 1.2 2003/07/23 00:04:56 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_pointer.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Pointer Template
	Display/Edit a single pointer
*/

if ($action == 'show_pointer') { 

$items = array();
$items[] = "<a href=\"" . $conf['web_path'] . "/pointer.php?action=edit_pointer&amp;pointer_id=$pointer_id\">Edit Pointer</a>";
$items[] = "<a href=\"" . $conf['web_path'] . "/pointer.php?action=show_pointers\">Show Pointers</a>";
$conf['ui']->display_top_widget($items);


show_template('tborder'); 
?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr>
	<td class="widget-title" colspan="2">Viewing <?= $pointer->type; ?> pointer</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>IP Address: </td>
	<td><?= $pointer->ip->ip_addr; ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Hostname: </td>
	<td><?= $pointer->hostname; ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Time to live: </td>
	<td><?= $pointer->ttl; ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Status: </td>
	<td><?= $pointer->status; ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Parent Zone: </td>
	<td><? $zone = new Zone($pointer->zone); echo $zone->name; ?></td>
</tr>
</table>
<? show_template('bborder'); ?>

<? } else { 

$items = array();
$items[] = "<a href=\"" . $conf['web_path'] . "/pointer.php?action=show_pointers\">Show Pointers</a>";
$items[] = "<a href=\"" . $conf['web_path'] . "/pointer.php?action=show_delete_pointer&pointer_id=$pointer->id\">Delete Pointer</a>";
$conf['ui']->display_top_widget($items);

?>
<form name="update_pointer" method="post" enctype="multipart/form-data" action="<?= $conf['web_path']; ?>/pointer.php" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr>
	<td class="widget-title" colspan="2">Editing <?= $pointer->type; ?> pointer</td>
</tr>
<tr bgcolor="<?= $conf['ui']->alternate_bgcolor(); ?>">
	<td>IP Address: </td>
	<td>
	<? if ($user->is_admin || $pointer->type == 'forward') { ?>
		<input name="ip_addr" value="<?= $pointer->ip->ip_addr; ?>" />
		<? $conf['error']->show_message('ip_addr'); ?>
	<? } else { ?>
		<?= $pointer->ip->ip_addr; ?>
	<? } ?>
	</td>
</tr>
<tr bgcolor="<?= $conf['ui']->alternate_bgcolor(); ?>">
	<td>Hostname: </td>
	<td>
	<? if ($user->is_admin || $pointer->type == 'reverse') { ?>
		<input name="hostname" value="<?= $pointer->hostname; ?>" />
		<? $conf['error']->show_message('hostname'); ?>
	<? } else { ?>
		<?= $pointer->hostname; ?>
	<? } ?>
	</td>
</tr>
<tr bgcolor="<?= $conf['ui']->alternate_bgcolor(); ?>">
	<td>Time to line: </td>
	<td>
		<input name="ttl" value="<?= $pointer->ttl; ?>" />
		<? $conf['error']->show_message('ttl'); ?>
	</td>
</tr>
<tr bgcolor="<?= $conf['ui']->alternate_bgcolor(); ?>">
	<td>Status: </td>
	<td>
		<select name="status">
			<option value="enabled" <? if ($pointer->status == 'enabled') { echo "SELECTED"; } ?>>Enabled</option>
			<option value="disabled" <? if ($pointer->status == 'disabled') { echo "SELECTED"; } ?>>Disabled</option>
		</select>
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Parent Zone: </td>
	<td><? $zone = new Zone($pointer->zone); echo $zone->name; ?></td>
</tr>
<tr bgcolor="<?= $conf['ui']->alternate_bgcolor(); ?>">
	<td>&nbsp;</td>
	<td>
	<input type="hidden" name="action" value="update_pointer" />
	<input type="submit" value="Update Pointer" />
	<input type="submit" name="action" value="Cancel" />
	<input type="hidden" name="pointer_id" value="<?= $pointer->id; ?>" />
	</td>
</tr>
</table>
<? show_template('bborder'); ?>
</form>
<? } ?>
